org.vertx.java.deploy.impl

## Class VerticleManager

- java.lang.Object
- - org.vertx.java.deploy.impl.VerticleManager

All Implemented Interfaces:
  ModuleReloader

    public class VerticleManager
    extends java.lang.Object
    implements ModuleReloader

### Constructor Summary

Constructors
Constructor and Description
`VerticleManager(VertxInternal vertx)`
`VerticleManager(VertxInternal vertx, java.lang.String defaultRepo)`

### Method Summary

Methods
`void` `block()`
`void` `deployMod(java.lang.String modName, JsonObject config, int instances, java.io.File currentModDir, Handler<java.lang.String> doneHandler)`
`void` `deployVerticle(boolean worker, java.lang.String main, JsonObject config, java.net.URL[] urls, int instances, java.io.File currentModDir, Handler<java.lang.String> doneHandler)`
`JsonObject` `getConfig()`
`java.io.File` `getDeploymentModDir()`
`java.lang.String` `getDeploymentName()`
`java.net.URL[]` `getDeploymentURLs()`
`Logger` `getLogger()`
`void` `installMod(java.lang.String moduleName, Handler<java.lang.Boolean> doneHandler)`
`java.util.Map<java.lang.String,java.lang.Integer>` `listInstances()`
`void` `reloadModules(java.util.Set<Deployment> deps)`
`void` `unblock()`
`void` `undeploy(java.lang.String name, Handler<java.lang.Void> doneHandler)`
`void` `undeployAll(Handler<java.lang.Void> doneHandler)`
`void` `uninstallMod(java.lang.String moduleName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VerticleManager

    public VerticleManager(VertxInternal vertx)

#### VerticleManager

    public VerticleManager(VertxInternal vertx,
                   java.lang.String defaultRepo)

### Method Detail

#### block

    public void block()

#### unblock

    public void unblock()

#### getConfig

    public JsonObject getConfig()

#### getDeploymentName

    public java.lang.String getDeploymentName()

#### getDeploymentURLs

    public java.net.URL[] getDeploymentURLs()

#### getDeploymentModDir

    public java.io.File getDeploymentModDir()

#### getLogger

    public Logger getLogger()

#### deployVerticle

    public void deployVerticle(boolean worker,
                      java.lang.String main,
                      JsonObject config,
                      java.net.URL[] urls,
                      int instances,
                      java.io.File currentModDir,
                      Handler<java.lang.String> doneHandler)

#### undeployAll

    public void undeployAll(Handler<java.lang.Void> doneHandler)

#### listInstances

    public java.util.Map<java.lang.String,java.lang.Integer> listInstances()

#### deployMod

    public void deployMod(java.lang.String modName,
                 JsonObject config,
                 int instances,
                 java.io.File currentModDir,
                 Handler<java.lang.String> doneHandler)

#### installMod

    public void installMod(java.lang.String moduleName,
                  Handler<java.lang.Boolean> doneHandler)

#### uninstallMod

    public void uninstallMod(java.lang.String moduleName)

#### reloadModules

    public void reloadModules(java.util.Set<Deployment> deps)

Specified by:
  `reloadModules` in interface `ModuleReloader`

#### undeploy

    public void undeploy(java.lang.String name,
                Handler<java.lang.Void> doneHandler)